Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004166TestLinkTest Plan (builds, milestones, test assign)public2011-01-12 18:192011-01-22 15:11
Reporterbrainbug 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformlinuxOScentOSOS VersioncentOS5
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004166: missing Testplans on "Update Linked Test Case Versions" Testplan DropDown
DescriptionI just realized that on the page "Update Linked Test Case Versions" only 3 of my 8 active Testplans are available in the Testplan Dropdown.

I checked it on 1.9.0, 1.9.0 RC1, 1.9.0 B6, 1.9.0 B5 and 1.9.0 B4
and found out that they disappeared in Beta5.
in Beta4 all Testplans are available.

I use the same database for B4 and B5 so the data can't be the reason for that.

Any idea?
what can I do to find out if this is a config issue?
(i think it's not but who knows...)
Additional Informationattached you will find a compilation of screenshots on different 1.9 Betas and the final Version.
On all systems at least the five Testplans starting with "*" are active and should be visible on the update Screen.

As you can see except on Beta 4 there are testplans missing.

(last screen is the Testplan List of TL 1.9.0 - compare it to the Update selection list - 5 testplans are missing)
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
BrowserFirefox
PHP VersionPHP 5.2.11
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon TL19b4andnewerScreenshots.JPG [^] (209,807 bytes) 2011-01-12 18:19

- Relationships
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0013262)
fman (administrator)
2011-01-12 18:21

we need detailed steps to reproduce
all test plans are active ?
all test plans are public ?
(0013263)
brainbug (reporter)
2011-01-12 18:36

yep, all active, all public
(0013264)
brainbug (reporter)
2011-01-12 18:37

Beta 4 and Beta 5 uses the same database so it can't be a misconfigured testplan.
(0013271)
Julian (reporter)
2011-01-13 13:35

do the missing test plans contain at least 1 open build ?

when there was no open build those plans were hidden for me - cannot imagine a reason for that right now.
(0013272)
Julian (reporter)
2011-01-13 13:44

please try this:

edit /lib/functions/tlTestCaseFilterControl.class.php (~line 1052ff):

// Now get all selectable testplans for the user to display.
// For execution, don't take testplans into selection which have no (active/open) builds!
// For plan add mode, add every plan no matter if he has builds or not.
foreach ($testplans as $plan) {
    $add_plan = $this->mode == 'plan_add_mode' || $this->mode == 'plan_mode';

only the last line has been changed. i added the context to allow you to easily find the spot that you need to edit.
(0013275)
brainbug (reporter)
2011-01-13 15:42

yes, you are right. testplans with no open builds are hidden. that's the point.

I yust edited /lib/functions/tlTestCaseFilterControl.class.php as you suggested and it works now. (tested on 1.9.0)

Thanks!
(0013360)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2011-01-12 18:19 brainbug New Issue
2011-01-12 18:19 brainbug File Added: TL19b4andnewerScreenshots.JPG
2011-01-12 18:21 fman Note Added: 0013262
2011-01-12 18:36 brainbug Note Added: 0013263
2011-01-12 18:37 brainbug Note Added: 0013264
2011-01-12 19:14 fman Assigned To => fman
2011-01-12 19:14 fman Status new => feedback
2011-01-13 13:35 Julian Note Added: 0013271
2011-01-13 13:44 Julian Note Added: 0013272
2011-01-13 15:42 brainbug Note Added: 0013275
2011-01-13 15:42 brainbug Status feedback => assigned
2011-01-13 16:00 Julian Status assigned => resolved
2011-01-13 16:00 Julian Fixed in Version => 1.9.1 (bug fixing)
2011-01-13 16:00 Julian Resolution open => fixed
2011-01-13 16:00 Julian Assigned To fman => Julian
2011-01-13 16:01 Julian Relationship added child of 0004039
2011-01-13 16:12 fman Note View State: 0013275: private
2011-01-13 16:12 fman Note View State: 0013275: public
2011-01-22 15:11 fman Note Added: 0013360
2011-01-22 15:11 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker